Database Extensions

- « SodiumException

- Abstraction Layers »

- PHP Manual
- Function Reference
- Database Extensions

# Database Extensions

- Abstraction Layers
  - DBA — Database (dbm-style) Abstraction Layer
  - ODBC — ODBC (Unified)
  - PDO — PHP Data Objects
- Vendor Specific Database Extensions
  - CUBRID
  - dBase
  - Firebird/InterBase
  - IBM DB2 — IBM DB2, Cloudscape and Apache Derby
  - MongoDB — MongoDB driver
  - MySQL — MySQL Drivers and Plugins
  - OCI8 — Oracle OCI8
  - PostgreSQL
  - SQLite3
  - SQLSRV — Microsoft SQL Server Driver for PHP